@import "@/asset/resource/styles/colors.scss";

.dropdown_wrapper {
  text-align: center;
  position: relative;
  width: 128px;

  &.open {
    .icon {
      transform: rotate(180deg);
    }

    .available_list_wrapper {
      max-height: 200px;
    }
  }

  .icon {
    margin-left: 8px;
    transition: transform 0.3s ease-in-out;
  }

  .selected_value {
    padding: 5px 20px;
    cursor: pointer;
  }

  .available_list_wrapper {
    transition: max-height 0.3s ease;
    max-height: 0;
    overflow: hidden;
    position: absolute;
    width: 100%;
    left: 0;
    top: 30px;
    background-color: $color-2;

    .available_list {
      width: 100%;
      border: 1px solid $color-3;
      border-radius: 4px;
      padding-left: 16px;
      padding-right: 16px;

      .available_item {
        padding: 5px 20px;
        border-bottom: 1px solid $color-3;
        cursor: pointer;

        &:last-child {
          border-bottom: transparent;
        }
      }
    }
  }
}
